Bug 647876 - Wrong default configuration of Gnupg in Kgpg
Wrong default configuration of Gnupg in Kgpg
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: F16Target-kde
  Show dependency treegraph
 
Reported: 2010-10-29 14:58 EDT by Mattia Verga
Modified: 2011-04-01 14:22 EDT (History)
9 users (show)

See Also:
Fixed In Version: kdevelop-php-1.2.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-28 23:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mattia Verga 2010-10-29 14:58:41 EDT
Description of problem:
By default Kgpg is set to point "gpg" as the binary for Gnupg, but in Fedora 14 Gnupg2 is installed, so Kgpg must point to "gpg2" or it will never work.

Version-Release number of selected component (if applicable):
kdeutils-minimal.x86_64                6:4.5.2-1.fc14


Steps to Reproduce:
1.Start kgpg
2.Try to generate e new pair of key
  
Actual results:
You compile the dialog boxes requested, seems to start generating the key, but it never come to an end.

Expected results:
new key are generated
Comment 1 Rex Dieter 2010-10-29 15:01:29 EDT
Thanks.

Looks like another place where we need to add support for using gpg *or* gpg2
Comment 2 Fedora Update System 2011-03-24 13:32:22 EDT
kdeutils-4.6.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/kdeutils-4.6.1-2.fc15
Comment 3 Fedora Update System 2011-03-24 14:31:55 EDT
kdevelop-php-1.2.0-2.fc14, veusz-1.9-2.fc14.1, sems-1.3.1-4.fc14.1, calibre-0.7.38-5.fc14, kde-i18n-3.5.10-14.fc14, PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, digikam-1.9.0-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdebase-workspace-4.6.1-2.fc14, kdebindings-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14, kde-l10n-4.6.1-1.fc14.1, kdegames3-3.5.10-9.fc14, kdelibs-4.6.1-5.fc14, kdeutils-4.6.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/kdevelop-php-1.2.0-2.fc14,veusz-1.9-2.fc14.1,sems-1.3.1-4.fc14.1,kde-l10n-4.6.1-1.fc14.1,kdegames3-3.5.10-9.fc14,kde-i18n-3.5.10-14.fc14,PyKDE-3.16.6-7.fc14,PyQt-3.18.1-8.fc14,PyQt4-4.8.3-2.fc14,PyQwt-5.2.0-10.fc14,akonadi-1.5.1-1.fc14,attica-0.2.0-1.fc14,avogadro-1.0.1-11.fc14,calibre-0.7.38-5.fc14,digikam-1.9.0-1.fc14,kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2,kde-plasma-yawp-0.3.6-1.fc14.2,kdeaccessibility-4.6.1-1.fc14,kdeadmin-4.6.1-1.fc14,kdeartwork-4.6.1-1.fc14,kdebase-4.6.1-3.fc14,kdebase-runtime-4.6.1-1.fc14,kdebase-workspace-4.6.1-2.fc14,kdebindings-4.6.1-1.fc14,kdeedu-4.6.1-2.fc14,kdegames-4.6.1-1.fc14,kdegraphics-4.6.1-1.fc14,kdelibs-4.6.1-5.fc14,kdemultimedia-4.6.1-1.fc14,kdenetwork-4.6.1-2.fc14,kdepim-4.4.10-2.fc14,kdepim-runtime-4.4.10-2.fc14,kdepimlibs-4.6.1-1.fc14,kdeplasma-addons-4.6.1-1.fc14,kdesdk-4.6.1-1.fc14,kdetoys-4.6.1-1.fc14,kdeutils-4.6.1-2.fc14,kdevelop-4.2.0-2.fc14,kdevplatform-1.2.0-3.fc14,kipi-plugins-1.9.0-1.fc14,koffice-2.3.3-1.fc14,konq-plugins-4.6.1-1.fc14,kphotoalbum-4.1.1-7.fc14,ktorrent-4.1.0-1.fc14,libktorrent-1.1.0-1.fc14,nepomukcontroller-0.2-4.fc14,oxygen-icon-theme-4.6.1-1.fc14,phonon-4.4.4-2.fc14,phonon-backend-gstreamer-4.4.4-2.fc14,phonon-backend-xine-4.4.4-3.fc14,polkit-kde-0.99.0-2.fc14,polkit-qt-0.99.0-2.fc14,qedje-0.4.0-8.fc14,qgis-1.6.0-3.fc14.1,qscintilla-2.4.6-2.fc14,qzion-0.4.0-10.fc14,shared-desktop-ontologies-0.6.0-1.fc14,sip-4.12.1-4.fc14,soprano-2.6.0-2.fc14
Comment 4 Fedora Update System 2011-03-28 23:52:44 EDT
kdeutils-4.6.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2011-04-01 14:21:50 EDT
kdevelop-php-1.2.0-2.fc14, veusz-1.9-2.fc14.1, sems-1.3.1-4.fc14.1, calibre-0.7.38-5.fc14, kde-i18n-3.5.10-14.fc14, PyKDE-3.16.6-7.fc14, PyQt-3.18.1-8.fc14, PyQt4-4.8.3-2.fc14, PyQwt-5.2.0-10.fc14, akonadi-1.5.1-1.fc14, attica-0.2.0-1.fc14, avogadro-1.0.1-11.fc14, digikam-1.9.0-1.fc14, kde-plasma-smooth-tasks-0.0.1-0.1.wip20101106.fc14.2, kde-plasma-yawp-0.3.6-1.fc14.2, kdeaccessibility-4.6.1-1.fc14, kdeadmin-4.6.1-1.fc14, kdeartwork-4.6.1-1.fc14, kdebase-4.6.1-3.fc14, kdebase-runtime-4.6.1-1.fc14, kdeedu-4.6.1-2.fc14, kdegames-4.6.1-1.fc14, kdegraphics-4.6.1-1.fc14, kdemultimedia-4.6.1-1.fc14, kdenetwork-4.6.1-2.fc14, kdepim-4.4.10-2.fc14, kdepim-runtime-4.4.10-2.fc14, kdepimlibs-4.6.1-1.fc14, kdeplasma-addons-4.6.1-1.fc14, kdesdk-4.6.1-1.fc14, kdetoys-4.6.1-1.fc14, kdevelop-4.2.0-2.fc14, kdevplatform-1.2.0-3.fc14, kipi-plugins-1.9.0-1.fc14, koffice-2.3.3-1.fc14, konq-plugins-4.6.1-1.fc14, kphotoalbum-4.1.1-7.fc14, ktorrent-4.1.0-1.fc14, libktorrent-1.1.0-1.fc14, nepomukcontroller-0.2-4.fc14, oxygen-icon-theme-4.6.1-1.fc14, phonon-4.4.4-2.fc14, phonon-backend-gstreamer-4.4.4-2.fc14, phonon-backend-xine-4.4.4-3.fc14, polkit-kde-0.99.0-2.fc14, polkit-qt-0.99.0-2.fc14, qedje-0.4.0-8.fc14, qgis-1.6.0-3.fc14.1, qscintilla-2.4.6-2.fc14, qzion-0.4.0-10.fc14, shared-desktop-ontologies-0.6.0-1.fc14, sip-4.12.1-4.fc14, soprano-2.6.0-2.fc14, kde-l10n-4.6.1-1.fc14.1, kdegames3-3.5.10-9.fc14, kdebase-workspace-4.6.1-5.fc14, kdebindings-4.6.1-2.fc14, kdelibs-4.6.1-5.fc14, kdeutils-4.6.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.